---
page_title: Update Mobile Number
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/update-mobile-number
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fupdate-mobile-number
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Update Mobile Number



The API can be used to update the mobile number passed in create/authenticate API. ## Endpoints:
- Sandbox: https://sandbox.juspay.in/wallets/{wallet_id}

- Production: https://api.juspay.in/wallets/{wallet_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: string

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request POST 'https://api.juspay.in/wallets/wlt_yvuidaupkvz3' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic MTkx*****RGODBDNDg2Og==' \
--header 'x-routing-id: customer_1122'\
--data-urlencode 'command=update' \
--data-urlencode 'mobile_number=7777777777'

```

### Sample Response:

#### Response:
```json
{
  "id": "wlt_yvuidaupkvz3",
  "object": "wallet_account",
  "wallet": "PAYTM",
  "token": null,
  "current_balance": null,
  "linked": false,
  "last_refreshed": null,
  "metadata": {
    "mobile_number": "7777777777"
  },
  "gateway_reference_id": null
}
```

## Path Parameters:

#### wallet_id:
Wallet Id of the wallet
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### command:
- Description: The command should be update, for updating the mobile number
- Tags: string, Required

#### mobile_number:
- Description: The new/updated mobile number
- Tags: string, Required
## API Responses:
### 200:

#### id:
- Description: wlt_yvuidaupkvz3
- Tags: string

#### object:
- Description: wallet_account
- Tags: string

#### wallet:
- Description: PAYTM
- Tags: string

#### token:

#### current_balance:

#### linked:
- Tags: boolean

#### last_refreshed:

#### metadata:
- Value:
  - **Mobile_number**:
    - Description: 7777777777
    - Tags: string
- Tags: object

#### gateway_reference_id:
- Tags: String


---

## See Also

- [Refresh Wallet](https://juspay.io/in/docs/api-reference/docs/express-checkout/refresh-wallet)
- [Topup Wallet](https://juspay.io/in/docs/api-reference/docs/express-checkout/topup-wallet)
